Subject: [bug#31342] [PATCH 2/2] gnu: services: Add Enlightenment desktop service.

From: Efraim Flashner <[email-masked]>
Date: Sun, 13 May 2018 18:36:53 +0300

On Tue, May 08, 2018 at 03:24:59PM +0200, Ludovic Courtès wrote:
> Hello!
> 
> Efraim Flashner <[email-masked]> skribis:
> 
> > On Mon, May 07, 2018 at 06:49:43PM +0200, Ludovic Courtès wrote:
> 
> [...]
> 
> >> Perhaps enlightenment_ckpasswd needs a PAM entry as well, like
> >> ‘screen-locker-service-type’ does?
> >> 
> >
> > I'm not sure, enlightenment's screen locker code was refactored in
> > 0.22.2 so that it would behave identically on Linux and BSD, and I'm not
> > sure that the BSDs use PAM, and it seems to with as-is.
> 
> If you confirm it works as-is, that’s fine!
> 
> >> > +(define* (enlightenment-desktop-service
> >> > +           #:key (config (enlightenment-desktop-configuration)))
> >> > +  "Return a service that adds the @code{enlightenment} package to the system
> >> > +profile, and extends dbus with the ability for @code{efl} to generate
> >> > +thumbnails and makes setuid the programs which enlightenment expects to have
> >> > +their setuid bit set."
> >> > +  (service enlightenment-desktop-service-type config))
> >> 
> >> Not needed!  :-)
> >> 
> >> Thank you,
> >> Ludo’.
> >
> > I looked at the xfce service especially, and it actually has the same
> > fields and declarations as enlightenment.
> 
> Sounds good.
> 
> > I'd like to leave the option in place to add
> > '(enlightenment-desktop-service)' to an OS-config since it is then
> > identical to the other desktop services we have.
> 
> This style has been (informally, I admit) deprecated since we introduced
> the ‘service’ form.  The recommended way is to write:
> 
>   (service enlightenment-service-type)
> 
> I agree it’s slightly more verbose, but it’s more “transparent.”
> 
> Thanks,
> Ludo’.

I think I have it this time. No 'enlightenment-desktop-service', yes
'enlightenment-desktop-service-type', which takes a configure option of
an enlightenment package. I moved the description from up to the
service-type and added a "table" detailing all the configure options
available.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted